 package com.huimv.acquisition.controller;

import com.huimv.acquisition.entity.CollectorRegisterEntity;
import com.huimv.acquisition.result.R;
import com.huimv.acquisition.service.CollectorRegisterService;
import com.huimv.acquisition.utils.PageUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.Map;


 /**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-30 09:45:22
 */
@RestController
@RequestMapping("management/collectorregister")
@CrossOrigin
public class CollectorRegisterController {
    @Autowired
    private CollectorRegisterService collectorRegisterService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = collectorRegisterService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		CollectorRegisterEntity collectorRegister = collectorRegisterService.getById(id);

        return R.ok().put("collectorRegister", collectorRegister);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody CollectorRegisterEntity collectorRegister){
		collectorRegisterService.save(collectorRegister);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody CollectorRegisterEntity collectorRegister){
		collectorRegisterService.updateById(collectorRegister);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		collectorRegisterService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
